## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate git-absorb

Name:           rust-git-absorb
Version:        0.6.15
Release:        %autorelease
Summary:        Git commit --fixup, but automatic

License:        BSD-3-Clause
URL:            https://crates.io/crates/git-absorb
Source:         %{crates_source}
Source1:        https://github.com/tummychow/git-absorb/raw/%{version}/Documentation/git-absorb.1

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Git commit --fixup, but automatic.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MPL-2.0 OR MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (MPL-2.0 OR MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.md
%license LICENSE.dependencies
%doc README.md
%{_bindir}/git-absorb
%{_mandir}/man1/git-absorb.1*
%{bash_completions_dir}/git-absorb
%{fish_completions_dir}/git-absorb.fish
%{zsh_completions_dir}/_git-absorb

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
# generate shell completions
./target/rpm/git-absorb --gen-completions bash > git-absorb.bash
./target/rpm/git-absorb --gen-completions fish > git-absorb.fish
./target/rpm/git-absorb --gen-completions zsh > git-absorb.zsh

%install
%cargo_install
# install manpage
install -Dpm 644 %{SOURCE1} -t %{buildroot}/%{_mandir}/man1/
# install shell completions
install -Dpm 0644 git-absorb.bash %{buildroot}/%{bash_completions_dir}/git-absorb
install -Dpm 0644 git-absorb.fish %{buildroot}/%{fish_completions_dir}/git-absorb.fish
install -Dpm 0644 git-absorb.zsh %{buildroot}/%{zsh_completions_dir}/_git-absorb

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.15-1
- Update to version 0.6.15; Fixes RHBZ#2302519

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.13-1
- Update to version 0.6.13; Fixes RHBZ#2273249

* Sat Feb 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.12-1
- Update to version 0.6.12; Fixes RHBZ#2265763

* Tue Feb 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.11-3
- Rebuild for CVE-2024-24575 and CVE-2024-24577 in libgit2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.11-1
- Update to version 0.6.11; Fixes RHBZ#2252020

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.10-1
- Update to version 0.6.10; Fixes RHBZ#2185121

* Thu Mar 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.9-1
- Initial import (#2174380)
## END: Generated by rpmautospec
